co.aikar.commands

## Class ConditionFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - co.aikar.commands.InvalidCommandArgument
      - - co.aikar.commands.ConditionFailedException

All Implemented Interfaces:
  Serializable

    public class ConditionFailedException
    extends InvalidCommandArgument

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConditionFailedException()`
`ConditionFailedException(co.aikar.locales.MessageKeyProvider key, String... replacements)`
`ConditionFailedException(co.aikar.locales.MessageKey key, String... replacements)`
`ConditionFailedException(String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConditionFailedException

    public ConditionFailedException()

#### ConditionFailedException

    public ConditionFailedException(co.aikar.locales.MessageKeyProvider key,
                                    String... replacements)

#### ConditionFailedException

    public ConditionFailedException(co.aikar.locales.MessageKey key,
                                    String... replacements)

#### ConditionFailedException

    public ConditionFailedException(String message)